# KSPAppendOptionsPrefix

Appends to the prefix used for searching for all KSP options in the database.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PETSCKSP_DLLEXPORT KSPAppendOptionsPrefix(KSP ksp,const char prefix[])

Collective on KSP

### Input Parameters

| ksp | - the Krylov context
| prefix | - the prefix string to prepend to all KSP option requests

### Notes

A hyphen (-) must NOT be given at the beginning of the prefix name. The first character of all runtime options is AUTOMATICALLY the hyphen.

### Keywords

KSP, append, options, prefix, database

### See Also

KSPSetOptionsPrefix(), KSPGetOptionsPrefix()

Level:advanced
Location: src/ksp/ksp/interface/itcl.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex9.c.html